*"表題 外部手続き呼びだし GTOOL3(GPCAL1)
*
*"履歴   90/08/18 沼口  敦
*"     2002/06/20 竹広真一
*
*
*********************************************************************
*"         << 外部手続き呼びだし >>
*********************************************************************
      SUBROUTINE GPCAL1
     I         ( GESUBR,
     I           HHEAD , GDATA ,
     I           HEDIT , HETTL ,
     O           HHEADO, GDATAO )
*
      EXTERNAL   GESUBR                  ! 外部手続き名
      CHARACTER  HHEAD  ( * )*(*)        !" ヘッダー(入力)
      REAL       GDATA  ( * )            !" データ(入力)
      CHARACTER  HEDIT       *(*)        !" 編集略記号
      CHARACTER  HETTL       *(*)        !" 編集タイトル
      CHARACTER  HHEADO ( * )*(*)        !" ヘッダー(出力)
      REAL       GDATAO ( * )            !" データ(出力)
*
*"         < 1. 大きさの取得 >
*
      CALL GUSMIS ( HHEAD )
*
      CALL GUQSIZ
     I         ( HHEAD ,
     O           IXSTR , IXEND , IXDIM ,
     O           IYSTR , IYEND , IYDIM ,
     O           IZSTR , IZEND , IZDIM  )
*
*"         < 2. ヘッダーコピー >
*
      CALL GHCOPY ( HHEAD , HHEADO )
      CALL GHQENM ( HHEADO, IENUM  )
*
*"         < 3. 外部手続き呼びだし >
*
      CALL GESUBR
     I         ( HHEAD , GDATA ,
     M           HHEADO, GDATAO,
     D           IXDIM , IYDIM , IZDIM )
*
*"         < 4. ヘッダー変更 >
*
      IF (  ( HEDIT .NE. ' ' ).AND.( HEDIT .NE.'NUL' )  ) THEN
         CALL GHESET ( HHEADO, HEDIT  , HETTL , IENUM+1 )
      ENDIF
*
      RETURN
      END
*********************************************************************
*"         << 外部手続き呼びだし >>
*********************************************************************
      SUBROUTINE GMCAL1
     I         ( GESUBR,
     M           HHEAD , GDATA ,
     I           HEDIT , HETTL  )
*
      EXTERNAL   GESUBR                  ! 外部手続き名
      CHARACTER  HHEAD  ( * )*(*)        !" ヘッダー(入力)
      REAL       GDATA  ( * )            !" データ(入力)
      CHARACTER  HEDIT       *(*)        !" 編集略記号
      CHARACTER  HETTL       *(*)        !" 編集タイトル
*
      COMMON     /GMWORK/ GDATAW
      REAL       GDATAW ( 1 )            !" データ(ワーク)
#ifdef SYS_IBMS
      INCLUDE    (GZSIZE)                !" NCC, NDC
#else
#include         "gzsize.F"              !" NCC, NDC
#endif
      CHARACTER  HHEADW ( NDC )*(NCC)    !" ヘッダー(ワーク)
*
      CALL       GMCSIZ ( HHEADW )
      CALL       GPCAL1
     I         ( GESUBR,
     I           HHEAD , GDATA ,
     I           HEDIT , HETTL ,
     O           HHEADW, GDATAW )
*
      CALL       GPFSET
     I         ( HHEADW, GDATAW,
     I           ' '   , ' '   ,
     O           HHEAD , GDATA   )
*
      RETURN
      END
